<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package Essay
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<div class="comment-buttons">
	
		<?php printf( '<a class="button respond-btn" href="%1$s">%2$s</a>', esc_url( get_comments_link() ), esc_html( 'Leave a Comment', 'essay' ) ); ?>

		<?php if ( have_comments() ) : ?>
			<?php printf( '<a class="button comments-btn" href="%1$s">%2$s</a>', esc_url( get_comments_link() ), esc_html( 'Show Responses', 'essay' ) ); ?>
		<?php endif; // Check for have_comments(). ?>

	</div><!-- .comments-area -->

	<?php // If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'essay' ); ?></p>
	<?php endif; ?>

	<?php comment_form(); ?>

	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title">
			<?php
				printf( _nx( 'One Thought on &ldquo;%2$s&rdquo;', '%1$s Thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'essay' ),
				number_format_i18n( get_comments_number() ), get_the_title() );
			?>
		</h2>

		<?php essay_comment_nav(); ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
					'avatar_size' => 100,
					'callback' => 'essay_comments',
				) );
			?>
		</ol><!-- .comment-list -->

		<?php essay_comment_nav(); ?>

	<?php endif; // Check for have_comments(). ?>

</div><!-- .comments-area -->
